﻿@model dbChange.Models.Staff
@using dbChange.Models;
@using dbChange.Models.LIB;
@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/Admin/_Layout_Admin.cshtml";
    var lsTinh = ViewData["lsTinh"] as List<PL3_DanhMucHanhChinh>;
    var lsQuan = ViewData["lsQuan"] as List<PL3_DanhMucHanhChinh>;
    var lsPhuong = ViewData["lsPhuong"] as List<PL3_DanhMucHanhChinh>;
    var lsDiaDiemTiem = ViewData["lsDiaDiemTiem"] as List<PL4_DiaDiemTiem>;
    var lsToKhuPho = ViewData["ToKhuPho"] as List<DM_ToKhuPho>;
    var lsDonVi = ViewData["lsDonVi"] as List<DM_BoPhanChiTiet>;
    var lsBoPhan = ViewData["lsBoPhan"] as List<DonViChiTiet_BoPhan>;
}

<h1>Cập nhật thông tin nhân viên</h1>
<hr />
<div>
    <a asp-action="Index">Quay lại</a>
</div>
<form asp-action="Edit">
    <div class="row editStaff">

        <div class="col-md-4">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="HoTen" class="control-label">Họ tên</label>
                <input asp-for="HoTen" class="form-control" />
                <span asp-validation-for="HoTen" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NgayS" class="control-label">Ngày sinh</label>
                <input asp-for="NgayS" class="form-control" />
                <span asp-validation-for="NgayS" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ThangS" class="control-label">Tháng sinh</label>
                <input asp-for="ThangS" class="form-control" />
                <span asp-validation-for="ThangS" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NamS" class="control-label">Năm sinh</label>
                <input asp-for="NamS" class="form-control" />
                <span asp-validation-for="NamS" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="GioiTinh" class="control-label">Giới tính</label>
                <select asp-for="GioiTinh" class="form-control">
                    @if (Model.GioiTinh == "0")
                    {
                        <option selected value="0">Nam</option>
                        <option value="1">Nữ</option>
                    }
                    else
                    {
                        <option value="0">Nam</option>
                        <option selected value="1">Nữ</option>
                    }
                </select>

                <span asp-validation-for="GioiTinh" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DienThoai" class="control-label">Điện thoại</label>
                <input asp-for="DienThoai" class="form-control" />
                <span asp-validation-for="DienThoai" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CMND" class="control-label">CMND</label>
                <input asp-for="CMND" class="form-control" />
                <span asp-validation-for="CMND" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BHYT" class="control-label">BHYT</label>
                <input asp-for="BHYT" class="form-control" />
                <span asp-validation-for="BHYT" class="text-danger"></span>
            </div>
        </div>

        <div class="col-md-4">



            <div class="form-group">
                <label asp-for="MaTinh" class="control-label">Tỉnh/Thành phố</label>
                <select asp-for="MaTinh" class="form-control">
                    @{
                        foreach (PL3_DanhMucHanhChinh row in lsTinh)
                        {
                            if(row.Ma_TinhThanhPho == Model.MaTinh)
                            {
                                <option selected value="@row.Ma_TinhThanhPho">@row.Ten_TinhThanhPho</option>
                            }
                            else
                            {
                                <option value="@row.Ma_TinhThanhPho">@row.Ten_TinhThanhPho</option>
                            }
                        }
                    }
                </select>
                <span asp-validation-for="MaTinh" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MaQuan" class="control-label">Quận/Huyện</label>
                @{
                    if (Model.MaTinh != null)
                    {
                        <select class="form-control from-control-sm" asp-for="MaQuan">
                            @foreach (var row in lsQuan)
                            {
                                if (row.Ma_TinhThanhPho == Model.MaTinh)
                                {
                                    if (Model.MaQuan == row.Ma_QuanHuyen)
                                    {
                                    <option selected value="@row.Ma_QuanHuyen">@row.Ten_QuanHuyen</option>
                                    }
                                    else
                                    {
                                    <option value="@row.Ma_QuanHuyen">@row.Ten_QuanHuyen</option>
                                    }
                                }
                            }
                        </select>
                    }
                    else
                    {
                        <select class="form-control from-control-sm"  asp-for="MaQuan">
                        </select>
                    }
                }
                <span asp-validation-for="MaQuan" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MaPhuong" class="control-label">Phường/Xã</label>
                @{
                    if (Model.MaQuan != null)
                    {
                        <select class="form-control from-control-sm" asp-for="MaPhuong">
                            @foreach (var row in lsPhuong)
                            {
                                if (row.Ma_QuanHuyen == Model.MaQuan)
                                {
                                    if (Model.MaPhuong == row.Ma_PhuongXa)
                                    {
                                    <option selected value="@row.Ma_PhuongXa">@row.Ten_PhuongXa</option>
                                    }
                                    else
                                    {
                                    <option value="@row.Ma_PhuongXa">@row.Ten_PhuongXa</option>
                                    }
                                }
                            }
                        </select>
                    }
                    else
                    {
                        <select class="form-control from-control-sm" asp-for="MaPhuong">
                        </select>
                    }
                }
                <span asp-validation-for="MaPhuong" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DiaChi" class="control-label">Địa chỉ</label>
                <input asp-for="DiaChi" class="form-control" />
                <span asp-validation-for="DiaChi" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui1_TenVacxin" class="control-label">Tên vắc xin (Mũi 1)</label>
                <input asp-for="Mui1_TenVacxin" class="form-control" />
                <span asp-validation-for="Mui1_TenVacxin" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui1_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 1)</label>
                <input type="datetime-local" asp-for="Mui1_NgayTiem" class="form-control" />
                <span asp-validation-for="Mui1_NgayTiem" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui1_SoLo" class="control-label">Số lô vắc xin (Mũi 1)</label>
                <input asp-for="Mui1_SoLo" class="form-control" />
                <span asp-validation-for="Mui1_SoLo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui1_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 1)</label>
                
                <select class="form-control from-control-sm" asp-for="Mui1_DiaDiem">
                    <option value="">Chọn</option>
                    @{
                        foreach (var row in lsDiaDiemTiem)
                        {
                            if (row.Ten_CoSo == Model.Mui1_DiaDiem)
                            {
                                <option selected value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                            else
                            {
                                <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                        }
                    }
                </select>
                        <span asp-validation-for="Mui1_DiaDiem" class="text-danger"></span>
                </div>
            <div class="form-group">
                <label asp-for="Mui2_TenVacxin" class="control-label">Tên vắc xin (Mũi 2)</label>
                <input asp-for="Mui2_TenVacxin" class="form-control" />
                <span asp-validation-for="Mui2_TenVacxin" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui2_NgayTiem" class="control-label">Ngày tiêm vắc xin (Mũi 2)</label>
                <input type="datetime-local" asp-for="Mui2_NgayTiem" class="form-control" />
                <span asp-validation-for="Mui2_NgayTiem" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui2_SoLo" class="control-label">Số lô vắc xin (Mũi 2)</label>
                <input asp-for="Mui2_SoLo" class="form-control" />
                <span asp-validation-for="Mui2_SoLo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Mui2_DiaDiem" class="control-label">Địa điểm tiêm vắc xin (Mũi 2)</label>
                <select class="form-control from-control-sm" asp-for="Mui2_DiaDiem">
                    <option value="">Chọn</option>
                    @{
                        foreach (var row in lsDiaDiemTiem)
                        {
                            if (row.Ten_CoSo == Model.Mui2_DiaDiem)
                            {
                                <option selected value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                            else
                            {
                                <option value="@row.Ten_CoSo">@row.Ten_CoSo</option>
                            }
                        }
                    }
                </select>
                <span asp-validation-for="Mui2_DiaDiem" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="GhiChu" class="control-label">Ghi chú</label>
                <input asp-for="GhiChu" class="form-control" />
                <span asp-validation-for="GhiChu" class="text-danger"></span>
            </div>

        </div>
        <div class="col-md-4">

            <div class="form-group">
                <label asp-for="DonViChiTiet" class="control-label">Đơn vị</label>
                <select class="form-control from-control-sm" asp-for="DonViChiTiet">
                    @{
                        foreach (var row in lsDonVi)
                        {
                            if (row.TenDonVi == Model.DonViChiTiet)
                            {
                                <option selected value="@row.TenDonVi">@row.TenDonVi</option>
                            }
                            else
                            {
                                <option value="@row.TenDonVi">@row.TenDonVi</option>
                            }
                        }
                    }
                </select>
                <span asp-validation-for="DonViChiTiet" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BoPhanId" class="control-label">Bộ phận</label>
                @{
                    if (Model.DonViChiTiet != null)
                    {
                        <select class="form-control from-control-sm" asp-for="BoPhanId">
                            @foreach (var row in lsBoPhan)
                            {
                                if (Model.BoPhanId == row.Id)
                                {
                                    <option selected value="@row.Id">@row.TenBoPhan</option>
                                }
                                else
                                {
                                    <option value="@row.Id">@row.TenBoPhan</option>
                                }
                            }
                        </select>
                    }
                    else
                    {
                        <select class="form-control from-control-sm" asp-for="BoPhanId">
                        </select>
                    }
                }
                <span asp-validation-for="BoPhanId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BiF0" class="control-label">Bị F0</label>
                <select asp-for="BiF0" class="form-control">
                    @if (Model.ISok != null && Model.ISok == true)
                    {
                        <option selected value="true">Có</option>
                        <option value="false">Không</option>
                    }
                    else
                    {
                        <option value="true">Có</option>
                        <option selected value="false">Không</option>
                    }
                </select>
                <span asp-validation-for="BiF0" class="text-danger"></span>

            </div>
            <div class="form-group">
                <label asp-for="NgayXuatVien" class="control-label">Ngày xuất viện</label>
                <input type="datetime-local" asp-for="NgayXuatVien" class="form-control" />
                <span asp-validation-for="NgayXuatVien" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Ma_ToKhuPho" class="control-label">Tổ khu phố</label>
                @{
                    if (Model.MaPhuong != null)
                    {
                        <select class="form-control from-control-sm 1"  asp-for="Ma_ToKhuPho">
                            @foreach (var row in lsToKhuPho)
                            {
                                if (Model.IdWeb == row.IdWeb)
                                {
                                    <option selected value="@row.IdWeb">@row.MoTa </option>
                                }
                                else
                                {
                                    <option value="@row.IdWeb">@row.MoTa</option>
                                }
                            }
                        </select>
                    }
                    else
                    {
                        <select class="form-control from-control-sm 2"  asp-for="Ma_ToKhuPho">
                        </select>
                    }
                }
                <span asp-validation-for="Ma_ToKhuPho" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CCCD" class="control-label">CCCD</label>
                <input asp-for="CCCD" class="form-control" />
                <span asp-validation-for="CCCD" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MaNS" class="control-label">Mã nhân sự</label>
                <input asp-for="MaNS" class="form-control" />
                <span asp-validation-for="MaNS" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="SSBH" class="control-label">SSBH</label>
                <input asp-for="SSBH" class="form-control" />
                <span asp-validation-for="SSBH" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LoaiLD" class="control-label">Loại LĐ</label>
                <input asp-for="LoaiLD" class="form-control" />
                <span asp-validation-for="LoaiLD" class="text-danger"></span>
            </div>
        </div>
        <div class="col-md-4" style="display:none">

            <div class="form-group">
                <label asp-for="TrangThaiNhanSu" class="control-label">Trạng thái nhân sự</label>
                <input asp-for="TrangThaiNhanSu" class="form-control" />
                <span asp-validation-for="TrangThaiNhanSu" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DonVi" class="control-label"></label>
                <input asp-for="DonVi" class="form-control" />
                <span asp-validation-for="DonVi" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MaNhom" class="control-label"></label>
                <input asp-for="MaNhom" class="form-control" />
                <span asp-validation-for="MaNhom" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TenTinh" class="control-label"></label>
                <input asp-for="TenTinh" class="form-control" />
                <span asp-validation-for="TenTinh" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TenQuan" class="control-label"></label>
                <input asp-for="TenQuan" class="form-control" />
                <span asp-validation-for="TenQuan" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TenPhuong" class="control-label"></label>
                <input asp-for="TenPhuong" class="form-control" />
                <span asp-validation-for="TenPhuong" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="KetQuaImPort" class="control-label"></label>
                <input asp-for="KetQuaImPort" class="form-control" />
                <span asp-validation-for="KetQuaImPort" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NgayCapNhat" class="control-label"></label>
                <input asp-for="NgayCapNhat" class="form-control" />
                <span asp-validation-for="NgayCapNhat" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NguoiCapNhat" class="control-label"></label>
                <input asp-for="NguoiCapNhat" class="form-control" />
                <span asp-validation-for="NguoiCapNhat" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="UrlHinhGiayXN" class="control-label"></label>
                <input asp-for="UrlHinhGiayXN" class="form-control" />
                <span asp-validation-for="UrlHinhGiayXN" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PhanNhom" class="control-label"></label>
                <input asp-for="PhanNhom" class="form-control" />
                <span asp-validation-for="PhanNhom" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TinhTrang" class="control-label"></label>
                <input asp-for="TinhTrang" class="form-control" />
                <span asp-validation-for="TinhTrang" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="ISok" /> @Html.DisplayNameFor(model => model.ISok)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="Ten_ToKhuPho" class="control-label"></label>
                <input asp-for="Ten_ToKhuPho" class="form-control" />
                <span asp-validation-for="Ten_ToKhuPho" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="VungCovid" class="control-label"></label>
                <input asp-for="VungCovid" class="form-control" />
                <span asp-validation-for="VungCovid" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="TenBoPhan" class="control-label">Bộ phận</label>
                <input asp-for="TenBoPhan" class="form-control" />
                <span asp-validation-for="TenBoPhan" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="IdWeb" class="control-label"></label>
                <input asp-for="IdWeb" class="form-control" />
                <span asp-validation-for="IdWeb" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LinkWeb" class="control-label"></label>
                <input asp-for="LinkWeb" class="form-control" />
                <span asp-validation-for="LinkWeb" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MaQR" class="control-label"></label>
                <input asp-for="MaQR" class="form-control" />
                <span asp-validation-for="MaQR" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LinkImage" class="control-label"></label>
                <input asp-for="LinkImage" class="form-control" />
                <span asp-validation-for="LinkImage" class="text-danger"></span>
            </div>

        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-success" />
                <a class="btn btn-primary" asp-action="Index">Quay lại</a>
            </div>
        </div>
    </div>
</form>


